<?php
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `green_log` WHERE `id_dragon` = '$batle[id]'"),0);
$q = mysql_query("SELECT * FROM `green_log` WHERE `id_dragon` = '$batle[id]' ORDER BY `id` DESC LIMIT 15");
if($k_post == 0) echo "Логов не найдено...";
while($post = mysql_fetch_assoc($q)) {
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[id_user] LIMIT 1"));
$ank2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = $post[id_user2] LIMIT 1"));
if($post['tipe'] == 'user'){
if($myID == $ank[id]) {
echo "<font color='green'>Вы атаковали Орка разведчика на: <b>$post[uron]</font></b><br>";
}else{
echo icons_user($ank['id'])." <a href='/profile/$ank[id]'>$ank[login]</a> атаковал".($ank['sex'] == 'w' ? 'а' : '')." $title на <b>$post[uron]</b><br>";
}
}elseif($post['tipe'] == 'dragon'){
if($myID == $ank[id]) {
echo "<font color='red'>Орк разведчик атаковал вас на: <b>$post[uron]</b></font><br>";
}
}elseif($post['tipe'] == 'zahvat'){
if($myID == $ank[id]) {
echo "Вы победили Орка разведчика<br>";
}else{
echo icons_user($ank['id'])." <a href='/profile/$ank[id]'>$ank[login]</a> победил".($ank['sex'] == 'w' ? 'а' : '')."Орка разведчикка<br>";
}
}
}

?>